xmonad-contrib-0.18.1: Community-maintained extensions for xmonad

Copyright | (c) 2007 Andrea Rossato
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Actions.MouseResize

Contents

- Usage:

Description

A layout modifier to resize windows with the mouse by grabbing the window's lower right corner.

This module must be used together with XMonad.Layout.WindowArranger.

Synopsis

- mouseResize :: l a -> ModifiedLayout MouseResize l a
- newtype MouseResize a = MR [((a, Rectangle), Maybe a)]

# Usage:

Usually this module is used to create layouts, but you can also use it to resize windows in any layout, together with the XMonad.Layout.WindowArranger. For usage example see XMonad.Layout.SimpleFloat or XMonad.Layout.DecorationMadness.

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Actions.MouseResize
    import XMonad.Layout.WindowArranger

Then edit your `layoutHook` by modifying a given layout:

    myLayout = mouseResize $ windowArrange $ layoutHook def

and then:

    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

mouseResize :: l a -> ModifiedLayout MouseResize l a #

newtype MouseResize a #

Constructors

MR [((a, Rectangle), Maybe a)] |

#### Instances

Instances details

LayoutModifier MouseResize Window # |

Instance details

Defined in XMonad.Actions.MouseResize

Methods

modifyLayout :: LayoutClass l Window => MouseResize Window -> Workspace WorkspaceId (l Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (l Window)) #

modifyLayoutWithUpdate :: LayoutClass l Window => MouseResize Window -> Workspace WorkspaceId (l Window) Window -> Rectangle -> X (([(Window, Rectangle)], Maybe (l Window)), Maybe (MouseResize Window)) #

handleMess :: MouseResize Window -> SomeMessage -> X (Maybe (MouseResize Window)) #

handleMessOrMaybeModifyIt :: MouseResize Window -> SomeMessage -> X (Maybe (Either (MouseResize Window) SomeMessage)) #

pureMess :: MouseResize Window -> SomeMessage -> Maybe (MouseResize Window) #

redoLayout :: MouseResize Window -> Rectangle -> Maybe (Stack Window) -> [(Window, Rectangle)] -> X ([(Window, Rectangle)], Maybe (MouseResize Window)) #

pureModifier :: MouseResize Window -> Rectangle -> Maybe (Stack Window) -> [(Window, Rectangle)] -> ([(Window, Rectangle)], Maybe (MouseResize Window)) #

hook :: MouseResize Window -> X () #

unhook :: MouseResize Window -> X () #

modifierDescription :: MouseResize Window -> String #

modifyDescription :: LayoutClass l Window => MouseResize Window -> l Window -> String #

Read (MouseResize a) # |
Instance details Defined in XMonad.Actions.MouseResize Methods readsPrec :: Int -> ReadS (MouseResize a) # readList :: ReadS [MouseResize a] # readPrec :: ReadPrec (MouseResize a) # readListPrec :: ReadPrec [MouseResize a] #
Show (MouseResize a) # |
Instance details Defined in XMonad.Actions.MouseResize Methods showsPrec :: Int -> MouseResize a -> ShowS # show :: MouseResize a -> String # showList :: [MouseResize a] -> ShowS #